Channels
Withdraw a project from a channel
Closes new use and preserves history and started effects. Withdrawing the last project requires lastAttachment: archive.
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= lengthattachedProjectId*stringLength
1 <= length- body
expectedRevision*integerRange
1 <= valuelastAttachment?stringResponse for status 200
application/json- response
result*stringValue in
"changed""unchanged"revision*integercurl -X POST 'https://postdot.example/api/projects/string/channels/string/attachments/string/withdraw' \
-H 'Content-Type: application/json' \
-d '{
"expectedRevision": 1
}'Example Response
{
"result": "changed",
"revision": 0
}